Index: contrib/scripts/astgenkey.8
===================================================================
--- contrib/scripts/astgenkey.8	(revision 110609)
+++ contrib/scripts/astgenkey.8	(working copy)
@@ -109,6 +109,19 @@
 Don't encrypt the private key.
 .RE
 
+.SH SECURITY
+The public key is created world-readable. In order to create it in a
+secure manner, you should use the following commands:
+
+  umask 0077
+
+  astgenkey yourkey
+
+And then make the key accessible to Asterisk (assuming you run it as
+user "asterisk").
+
+  chown asterisk: /var/lib/asterisk/keys/yourname.*
+
 .SH FILES
 .I /var/lib/asterisk/keys
 .RS
